- [HTTP request](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.regions/batchUpdate.md.txt#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.regions/batchUpdate.md.txt#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.regions/batchUpdate.md.txt#body.request_body)
  - [JSON representation](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.regions/batchUpdate.md.txt#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.regions/batchUpdate.md.txt#body.response_body)
  - [JSON representation](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.regions/batchUpdate.md.txt#body.BatchUpdateRegionsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.regions/batchUpdate.md.txt#body.aspect)
- [UpdateRegionRequest](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.regions/batchUpdate.md.txt#UpdateRegionRequest)
  - [JSON representation](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.regions/batchUpdate.md.txt#UpdateRegionRequest.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.regions/batchUpdate.md.txt#try-it)

Updates one or more regions in your Merchant Center account. Executing this method requires admin access.

For more information, see [Manage region batching](https://developers.google.com/merchant/api/guides/accounts/manage-region-batching.md.txt).

### HTTP request

`POST https://merchantapi.googleapis.com/accounts/v1alpha/{parent=accounts/*}/regions:batchUpdate`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The account to update one or more regions for. Format: `accounts/{account}` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requests": [ { object (`UpdateRegionRequest`) } ] } ``` |

| Fields ||
|---|---|
| `requests[]` | ``object (`UpdateRegionRequest`)`` Required. The region(s) to update. The maximum number of regions that can be updated in a batch is 100. |

### Response body

Response message for the `regions.batchUpdate` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "regions": [ { object (`Region`) } ] } ``` |

| Fields ||
|---|---|
| `regions[]` | ``object (`Region`)`` The updated region(s). |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## UpdateRegionRequest

Request message for the `regions.patch` method.

| JSON representation |
|---|
| ``` { "region": { object (`Region`) }, "updateMask": string } ``` |

| Fields ||
|---|---|
| `region` | ``object (`Region`)`` Required. The updated region. |
| `updateMask` | ``string (`FieldMask` format)`` Optional. The comma-separated field mask indicating the fields to update. Example: `"displayName,postalCodeArea.regionCode"`. |